This patch fixes the ability to use the session helper.

Without this patch, the helper expects an additional user_key parameter,
which is then returned in the reply. Both of these appear to break the
current protocol.

=== modified file 'helpers/external_acl/session/ext_session_acl.cc'
--- helpers/external_acl/session/ext_session_acl.cc	2010-07-29 14:23:35 +0000
+++ helpers/external_acl/session/ext_session_acl.cc	2011-09-18 17:01:29 +0000
@@ -150,8 +150,7 @@
 
     while (fgets(request, HELPER_INPUT_BUFFER, stdin)) {
         int action = 0;
-        const char *user_key = strtok(request, " \n");
-        const char *detail = strtok(NULL, "\n");
+        const char *detail = strtok(request, " \n");
         const char *lastdetail = strrchr(detail, ' ');
         size_t detail_len = strlen(detail);
         if (lastdetail) {
@@ -165,18 +164,18 @@
         }
         if (action == -1) {
             session_logout(detail, detail_len);
-            printf("%s OK message=\"Bye\"\n", user_key);
+            printf("OK message=\"Bye\"\n");
         } else if (action == 1) {
             session_login(detail, detail_len);
-            printf("%s OK message=\"Welcome\"\n", user_key);
+            printf("OK message=\"Welcome\"\n");
         } else if (session_active(detail, detail_len)) {
             session_login(detail, detail_len);
-            printf("%s OK\n", user_key);
+            printf("OK\n");
         } else if (default_action == 1) {
             session_login(detail, detail_len);
-            printf("%s ERR message=\"Welcome\"\n", user_key);
+            printf("ERR message=\"Welcome\"\n");
         } else {
-            printf("%s ERR message=\"No session available\"\n", user_key);
+            printf("ERR message=\"No session available\"\n");
         }
     }
     shutdown_db();


